Support » Plugin: WooCommerce Payments » Problem with 2.9.0

  • Resolved mgc

    (@mgc)


    I use ManageWP to manage my websites. Since updating to 2.9.0 yesterday, my dashboard refuses to connect with the following error:

    Argument 1 passed to WC_Payments_Fraud_Service::send_forter_token() must be of the type string or null, array given, called in /var/www/wp-includes/class-wp-hook.php on line 303 occurred in wp-content/plugins/woocommerce-payments/includes/class-wc-payments-fraud-service.php on line 202 please make sure that your website is accessible

    Can this be fixed? I’ve since rolled back to 2.8.4 and there’s no issue with that. Thanks in advance!

    • This topic was modified 3 months, 1 week ago by mgc.

    The page I need help with: [log in to see the link]

Viewing 7 replies - 16 through 22 (of 22 total)
  • Plugin Support wbrubaker.a11n

    (@wbrubaker)

    I’ve reopened the issue here: https://github.com/Automattic/woocommerce-payments/issues/2805 β€” feel free to follow along there for updates.

    Thread Starter mgc

    (@mgc)

    ManageWP issued a new release of the Worker plugin and that fixed the issue for me. Marking as resolved now.

    Plugin Support Brad P. a11n

    (@snaacks)

    Hi @mgc

    ManageWP issued a new release of the Worker plugin and that fixed the issue for me. Marking as resolved now.

    Thank you for letting us know an update resolved this issue for you. We’ll make sure this is marked as resolved but please let us know if any additional issues arise!

    Thread Starter mgc

    (@mgc)

    The update from ManageWP with their Worker plugin worked initially, but now it’s the same issue again.

    Plugin Support Joash (a11n)

    (@joashrajin)

    Hi @mgc πŸ‘‹

    Thanks for the update and sorry for the inconvenience.

    You may have seen the the update from our Dev Team. Here it is on Github.

    As shared by them, the fix should be out in version 3.0.0 of WooCommerce Payments.

    Thread Starter mgc

    (@mgc)

    Ah, okay, the fix is coming in 3.0. That’s what I thought, but was hopeful when ManageWP offered a possible fix in Worker. Thanks for the update and clarification! πŸ™‚

    Plugin Support AW a11n

    (@slash1andy)

    Automattic Happiness Engineer

    Our pleasure, keep an eye out for 3.0 πŸ™‚

Viewing 7 replies - 16 through 22 (of 22 total)
  • You must be logged in to reply to this topic.